# $Revision: 1.14 $, $Date: 2009/03/27 23:35:30 $
%define		_lang		el
Summary:	Greek resources for Iceweasel
Summary(pl.UTF-8):	Greckie pliki językowe dla Iceweasela
Name:		iceweasel-lang-%{_lang}
Version:	3.0.8
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		I18n
Source0:	http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/linux-i686/xpi/%{_lang}.xpi
# Source0-md5:	2964129771a3b3cffe9fc39042546ede
URL:		http://www.mozilla.org/
BuildRequires:	sed >= 4.0
BuildRequires:	unzip
BuildRequires:	zip
Requires:	iceweasel >= %{version}
Provides:	iceweasel-lang-resources = %{version}
Obsoletes:	mozilla-firefox-lang-el
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_iceweaseldir	%{_datadir}/iceweasel
%define		_chromedir	%{_iceweaseldir}/chrome

%description
Greek resources for Iceweasel.

%description -l pl.UTF-8
Greckie pliki językowe dla Iceweasela.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_chromedir},%{_iceweaseldir}/defaults/profile}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_libdir}
mv -f $RPM_BUILD_ROOT%{_libdir}/chrome/* $RPM_BUILD_ROOT%{_chromedir}
sed -e 's@chrome/%{_lang}\.jar@%{_lang}.jar@' $RPM_BUILD_ROOT%{_libdir}/chrome.manifest \
	> $RPM_BUILD_ROOT%{_chromedir}/%{_lang}.manifest
mv -f $RPM_BUILD_ROOT%{_libdir}/*.rdf $RPM_BUILD_ROOT%{_iceweaseldir}/defaults/profile
# rebrand locale for iceweasel
cd $RPM_BUILD_ROOT%{_chromedir}
unzip el.jar locale/branding/brand.dtd locale/branding/brand.properties \
	locale/browser/appstrings.properties locale/browser/aboutDialog.dtd
sed -i -e 's/Mozilla Firefox/Iceweasel/g; s/Firefox/Iceweasel/g;' \
	locale/branding/brand.dtd locale/branding/brand.properties
sed -i -e 's/Firefox/Iceweasel/g;' locale/browser/appstrings.properties
grep -e '\<ENTITY' locale/browser/aboutDialog.dtd \
	> locale/browser/aboutDialog.dtd.new
sed -i -e '/copyrightInfo/s/^\(.*\)\..*Firefox.*/\1\./g; s/\r//g; /copyrightInfo/s/$/" >/g;' \
	locale/browser/aboutDialog.dtd.new
mv -f locale/browser/aboutDialog.dtd.new locale/browser/aboutDialog.dtd
zip -0 el.jar locale/branding/brand.dtd locale/branding/brand.properties \
	locale/browser/appstrings.properties locale/browser/aboutDialog.dtd
rm -f locale/branding/brand.dtd locale/branding/brand.properties \
	locale/browser/appstrings.properties locale/browser/aboutDialog.dtd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_lang}.jar
%{_chromedir}/%{_lang}.manifest
# file conflict:
#%{_iceweaseldir}/defaults/profile/*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iceweasel-lang-el.spec,v $
Revision 1.14  2009/03/27 23:35:30  duddits
- up to 3.0.8

Revision 1.13  2009/03/05 20:00:17  duddits
- up to 3.0.7

Revision 1.12  2009/02/05 08:50:14  duddits
- updated to 3.0.7

Revision 1.11  2009/01/01 12:20:28  megabajt
- fixed License information and pl

Revision 1.10  2008/12/17 11:28:20  hawk
- updated to 3.0.5

Revision 1.9  2008/11/13 11:50:25  duddits
- up to 3.0.4

Revision 1.8  2008/09/29 14:04:28  hawk
- updated to 3.0.3

Revision 1.7  2008/08/18 18:06:37  hawk
- release 3

Revision 1.6  2008/08/18 15:34:45  hawk
- killed pointless message in %post, won't work on Th anymore

Revision 1.5  2008/08/11 06:16:15  paszczus
- release 2

Revision 1.4  2008/08/09 20:54:23  paszczus
- added info about setting useragent.locale

Revision 1.3  2008/07/20 21:55:38  hawk
- updated to 3.0.1

Revision 1.2  2008/06/26 19:26:51  hawk
- O: for mozilla-firefox-lang

Revision 1.1  2008/06/25 20:46:15  hawk
- language pack for Iceweasel

